Bug 752893 - yellow triangle icon does not disappear from summary area after user deletes all resource errors for a Resource
yellow triangle icon does not disappear from summary area after user deletes ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.3.0,JON 3.0.0
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-11-10 13:19 EST by Ian Springer
Modified: 2013-08-05 20:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:19:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot #1 (137.09 KB, image/png)
2011-11-10 13:20 EST, Ian Springer
no flags Details
screenshot #2 (129.05 KB, image/png)
2011-11-10 13:21 EST, Ian Springer
no flags Details
screenshot #3 (147.19 KB, image/png)
2011-11-10 13:21 EST, Ian Springer
no flags Details
Screenshot (140.79 KB, image/png)
2011-11-30 07:34 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Ian Springer 2011-11-10 13:19:30 EST
After the user deletes all errors from the Resource Errors modal, the yellow triangle icon should go away, but it does not. See attached screenshots.
Comment 1 Ian Springer 2011-11-10 13:20:45 EST
Created attachment 532893 [details]
screenshot #1
Comment 2 Ian Springer 2011-11-10 13:21:05 EST
Created attachment 532894 [details]
screenshot #2
Comment 3 Ian Springer 2011-11-10 13:21:31 EST
Created attachment 532895 [details]
screenshot #3
Comment 4 Ian Springer 2011-11-14 12:00:52 EST
Fixed in master: http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=7b576e4
Comment 5 Ian Springer 2011-11-14 12:17:35 EST
QE, please test this in master, so we can decide if we want to cherry pick the fix into the jon3 branch.
Comment 6 John Mazzitelli 2011-11-29 08:09:35 EST
Ian, what's a quick way to get a ResourceError into the system? I was going to write a test plugin but for QA to test this, they will need replication procedures to get these errors in there.
Comment 7 John Mazzitelli 2011-11-29 09:20:05 EST
cherry-picked to release_jon3.x branch: 2af03f656585a994e8959faca9da0d3d83988c44
Comment 8 Ian Springer 2011-11-29 09:54:58 EST
Go to a JBoss AS Server Resource that has secured JNP access and edit its connection settings. Set the principal and/or credentials to incorrect values; for example, change them from admin/admin to foobar/foobar. Click the Save button to save the connection settings. You should get an invalid plugin config ResourceError. Note, you may need to go to some other top level section of the GUI (e.g. Inventory or Reports) and then go back to the JBoss AS Server Resource in order to get the yellow triangle to appear.
Comment 9 Sunil Kondkar 2011-11-30 07:33:54 EST
Verified in build#111 in release_jon3.x branch

The yellow triangle appeared on changing the JBoss AS Server principal and credentials to incorrect values. Deleted the the resource errors from the Resource Errors modal and verified that the yellow triangle disappears. Please refer the attached screenshot.

Marking as verified.
Comment 10 Sunil Kondkar 2011-11-30 07:34:54 EST
Created attachment 538543 [details]
Screenshot
Comment 11 Mike Foley 2012-02-07 14:19:04 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.